Subject: [mpls] Query: Multiple component links in a TE-link vs Link Bundling

From: Abhishek Aggarwal <[email-masked]>
Date: Thu, 7 Oct 2010 11:55:25 +0530

Hello Thomas

I have a doubt regarding the use of component link table in RFC 4220.

What is the application of having multiple component links associated with
same TE-link? Reference to RFC 4201 for link bundling seems relevant; but
from RFC 4220, it seems that link-bundling refers to stacking multiple
TE-links below a TE-link (called bundled TE-link).

Hence, it is not clear to me
1) When does the need arise for multiple component links in a te-link?
2) When multiple TE-links are bundled together as a bundled te-link, should
a new componentLinkTableEntry be created corresponding to each associated
te-link? Each componentLinkTableEntry inherits attributes directly from
corresponding TE-link and the bundled TE-link derives the aggregated
attributes from these componentLinkTableEntries.

Thanks and regards
Abhishek